| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
compat_check.hpp File Reference
`#include <uhd/config.hpp>`
`#include <cstddef>`
`#include <cstdint>`
`#include <string>`

Go to the source code of this file.

## Classes
class | uhd::compat_num< major_type, minor_type >
| Compat number representation class. More...
class | uhd::compat_num16
| Specialization of the compat_num class for 16-bit compat numbers. More...
class | uhd::compat_num32
| Specialization of the compat_num class for 32-bit compat numbers. More...

## Namespaces
namespace | uhd

## Functions
void UHD_API | uhd::assert_fpga_compat (const size_t uhd_major, const size_t uhd_minor, const uint64_t fpga_compat, const std::string &fpga_component, const std::string &log_component, const bool fail_on_minor_behind=false)
void UHD_API | uhd::assert_fpga_compat (const size_t uhd_major, const size_t uhd_minor, const uint32_t fpga_compat, const std::string &fpga_component, const std::string &log_component, const bool fail_on_minor_behind=false)